Index: code/branches/cpp11_v2/src/modules/invader/Invader.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/invader/Invader.cc	(revision 10733)
+++ code/branches/cpp11_v2/src/modules/invader/Invader.cc	(revision 10765)
@@ -78,5 +78,5 @@
     {
         level++;
-        if (getPlayer() != NULL)
+        if (getPlayer() != nullptr)
         {
             for (int i = 0; i < 7; i++)
@@ -96,5 +96,5 @@
     InvaderShip* Invader::getPlayer()
     {
-        if (player == NULL)
+        if (player == nullptr)
         {
             for (ObjectList<InvaderShip>::iterator it = ObjectList<InvaderShip>::begin(); it != ObjectList<InvaderShip>::end(); ++it)
@@ -106,5 +106,5 @@
     void Invader::spawnEnemy()
     {
-        if (getPlayer() == NULL)
+        if (getPlayer() == nullptr)
             return;
 
@@ -158,5 +158,5 @@
         this->bForceSpawn_ = true;
 
-        if (this->center_ == NULL)  // abandon mission!
+        if (this->center_ == nullptr)  // abandon mission!
         {
             orxout(internal_error) << "Invader: No Centerpoint specified." << endl;
Index: code/branches/cpp11_v2/src/modules/invader/InvaderCenterPoint.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/invader/InvaderCenterPoint.cc	(revision 10733)
+++ code/branches/cpp11_v2/src/modules/invader/InvaderCenterPoint.cc	(revision 10765)
@@ -56,5 +56,5 @@
     void InvaderCenterPoint::checkGametype()
     {
-        if (this->getGametype() != NULL && this->getGametype()->isA(Class(Invader)))
+        if (this->getGametype() != nullptr && this->getGametype()->isA(Class(Invader)))
         {
             Invader* InvaderGametype = orxonox_cast<Invader*>(this->getGametype());
Index: code/branches/cpp11_v2/src/modules/invader/InvaderEnemy.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/invader/InvaderEnemy.cc	(revision 10733)
+++ code/branches/cpp11_v2/src/modules/invader/InvaderEnemy.cc	(revision 10765)
@@ -56,5 +56,5 @@
             removeHealth(2000);
 
-        if (player != NULL)
+        if (player != nullptr)
         {
             float newZ = 2/(pow(abs(getPosition().x - player->getPosition().x) * 0.01f, 2) + 1) * (player->getPosition().z - getPosition().z);
@@ -73,5 +73,5 @@
     Invader* InvaderEnemy::getGame()
     {
-        if (game == NULL)
+        if (game == nullptr)
         {
             for (ObjectList<Invader>::iterator it = ObjectList<Invader>::begin(); it != ObjectList<Invader>::end(); ++it)
@@ -84,5 +84,5 @@
     {
         Pawn::damage(damage, healthdamage, shielddamage, originator, cs);
-        if (getGame() && orxonox_cast<InvaderShip*>(originator) != NULL && getHealth() <= 0)
+        if (getGame() && orxonox_cast<InvaderShip*>(originator) != nullptr && getHealth() <= 0)
             getGame()->addPoints(42);
     }
Index: code/branches/cpp11_v2/src/modules/invader/InvaderEnemyShooter.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/invader/InvaderEnemyShooter.cc	(revision 10733)
+++ code/branches/cpp11_v2/src/modules/invader/InvaderEnemyShooter.cc	(revision 10765)
@@ -59,5 +59,5 @@
             removeHealth(2000);
 
-        if (player != NULL)
+        if (player != nullptr)
         {
             float distPlayer = player->getPosition().z - getPosition().z;
@@ -77,5 +77,5 @@
     {
         Pawn::damage(damage, healthdamage, shielddamage, originator, cs);
-        if (getGame() && orxonox_cast<InvaderShip*>(originator) != NULL && getHealth() <= 0)
+        if (getGame() && orxonox_cast<InvaderShip*>(originator) != nullptr && getHealth() <= 0)
             getGame()->addPoints(3*42);
     }
Index: code/branches/cpp11_v2/src/modules/invader/InvaderShip.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/invader/InvaderShip.cc	(revision 10733)
+++ code/branches/cpp11_v2/src/modules/invader/InvaderShip.cc	(revision 10765)
@@ -95,5 +95,5 @@
         // Camera
         Camera* camera = this->getCamera();
-        if (camera != NULL)
+        if (camera != nullptr)
         {
             camera->setPosition(Vector3(-pos.z, -posforeward, 0));
@@ -154,5 +154,5 @@
         Projectile* shot = orxonox_cast<Projectile*>(otherObject);
         // ensure that this gets only called once per enemy.
-        if (enemy != NULL && lastEnemy != enemy)
+        if (enemy != nullptr && lastEnemy != enemy)
         {
             lastEnemy = enemy;
@@ -165,7 +165,7 @@
         }
         // was shot, decrease multiplier
-        else if (shot != NULL  && lastShot != shot)
+        else if (shot != nullptr  && lastShot != shot)
         {
-            if (getGame() && orxonox_cast<InvaderEnemy*>(shot->getShooter()) != NULL)
+            if (getGame() && orxonox_cast<InvaderEnemy*>(shot->getShooter()) != nullptr)
             {
                 if (getGame()->multiplier > 1)
@@ -182,5 +182,5 @@
     Invader* InvaderShip::getGame()
     {
-        if (game == NULL)
+        if (game == nullptr)
         {
             for (ObjectList<Invader>::iterator it = ObjectList<Invader>::begin(); it != ObjectList<Invader>::end(); ++it)
